import java.awt.*;
import java.awt.event.*;
import java.util.*;

class Main extends Frame {
    Main() {
        super("getWhen Example");
        setSize(100, 100);
        show();

        // Enable mouse and keyboard events so processEvent() will be called.
        enableEvents(AWTEvent.MOUSE_EVENT_MASK|
            AWTEvent.MOUSE_MOTION_EVENT_MASK|AWTEvent.KEY_EVENT_MASK);
    }

    String date = "";
    protected void processEvent(AWTEvent evt) {
        if (evt instanceof InputEvent) {
            InputEvent ie = (InputEvent)evt;
            date = "" + (new Date(ie.getWhen()));
            repaint();
        }
        super.processEvent(evt);
    }
    
    public void paint(Graphics g) {
        Insets in = getInsets();
        FontMetrics fm = g.getFontMetrics();

        g.drawString(date, (getSize().width-fm.stringWidth(date))/2, 
            in.top+(getSize().height-in.top-in.bottom-
            fm.getHeight())/2+fm.getAscent());
    }

    public static void main(String args[]) {
        new Main();
    }
}
