import java.awt.*;
import java.awt.event.ItemListener;
import java.awt.event.ItemEvent;

class Main extends Frame implements ItemListener {
    CheckboxGroup cg = new CheckboxGroup();

    Main() {
        super("CheckboxGroup Example");
        Panel p = new Panel(new GridLayout(0, 1));

        Checkbox cb;
        p.add(cb = new Checkbox("Send now", cg, true));
        cb.addItemListener(this);
        p.add(cb = new Checkbox("Send later", cg, false));
        cb.addItemListener(this);
        p.add(cb = new Checkbox("Dont send", cg, false));
        cb.addItemListener(this);

        add(p, BorderLayout.CENTER);
        pack();
        show();
    }

    public void itemStateChanged(ItemEvent evt) {
        String what = (String)(evt.getItemSelectable().getSelectedObjects()[0]);
        System.out.println(what);
    }

    static public void main(String[] args) {
        new Main();
    }
}
