import java.awt.*;
import java.awt.event.*;

class Main extends Frame implements ItemListener {
    Main() {
        super("Choice Example");
        Choice choice = new Choice();

        choice.add("Item 1");
        choice.add("Item 2");
        add(choice, BorderLayout.CENTER); 

        // Add listener for choice
        choice.addItemListener(this);

        setSize(150, 75);
        setVisible(true);
    }

    public void itemStateChanged(ItemEvent evt) {
        // get choice's selection and display to stdout
        ItemSelectable s = evt.getItemSelectable();
        Object[] selected = s.getSelectedObjects();
        if (selected != null)
            System.out.println(selected[0]);
    }

    static public void main(String[] args) {
        new Main();
    }
}
