import java.awt.*;
import java.awt.event.*;

class Main extends Frame implements ActionListener {
    Panel extraButtons = new Panel(new GridLayout(0, 1));
    Main() {
        super("validate Example");
        Panel p = new Panel(new GridLayout(0, 1));

        p.add(new Button("Left 1"));
        p.add(new Button("Left 2"));
        p.add(new Button("Left 3"));
        Button b;
        p.add(b = new Button("More..."));
        b.addActionListener(this);
        add(p, BorderLayout.CENTER); 

        extraButtons.add(new Button("Right 1"));
        extraButtons.add(new Button("Right 2"));
        extraButtons.add(new Button("Right 3"));
        extraButtons.add(new Button("Right 4"));
        extraButtons.setVisible(false);
        add(extraButtons, BorderLayout.EAST); 
        
        setSize(200, 200);
        show();
    }

    public void actionPerformed(ActionEvent evt) {
        String arg = evt.getActionCommand();
        Button button = (Button)evt.getSource();
        if ("More...".equals(arg)) {
            button.setLabel("Less...");
            extraButtons.setVisible(true);
            //invalidate();    - not necessary
            validate();
        } else if ("Less...".equals(arg)) {
            button.setLabel("More...");
            extraButtons.setVisible(false);
            //invalidate();    - not necessary
            validate();
        }
    }

    public static void main(String[] args) {
        new Main();
    }
}
