import java.awt.*;

class Main extends Frame {
    Main() {
        super("Graphics Example");
        setSize(200, 100);
        show();
    }

    public void paint(Graphics g) {
        Insets insets = getInsets();
        int x = insets.left;
        int y = insets.top;

        Polygon polygon = new Polygon();
        polygon.addPoint(x+125, y);
        polygon.addPoint(x+100, y+50);
        polygon.addPoint(x+150, y+50);

        g.setColor(Color.red);
        g.fillOval(x, y, 50, 50);
        g.setColor(Color.green);
        g.fillRect(x+50, y, 50, 50);
        g.setColor(Color.blue);
        g.fillPolygon(polygon);
    }

    static public void main(String[] args) {
        new Main();
    }
}
