import java.beans.*;
import java.util.*;

public class BeanBeanInfo extends SimpleBeanInfo {
    public BeanDescriptor getBeanDescriptor() {
        BeanDescriptor bd = new BeanDescriptor(Bean.class);

        // Initialize FeatureDescriptor attributes.
        bd.setName("CheapBean");
        bd.setDisplayName("CheapBean\u00a9");    // Copyright symbol
        bd.setExpert(true);
        bd.setHidden(true);
        bd.setShortDescription("A bean of no consequence");

        // Add an "author" attribute.
        bd.setValue("author", "Patrick Chan and Rosanna Lee");

        // Add a "created" attribute.
        Calendar calendar = Calendar.getInstance();
        calendar.set(1997, 4, 22, 10, 49);
        bd.setValue("created", calendar);
        bd.setValue("created", null);

        return bd;
    }
}