import java.awt.*;
import java.awt.event.*;
import java.beans.*;
import java.util.*;

public class ColorEditor extends PropertyEditorSupport {
    public boolean isPaintable() {
        return true;
    }

    public void paintValue(Graphics g, Rectangle box) {
        g.setColor((Color)getValue());
        g.fillRect(box.x, box.y, box.width, box.height);
        g.setColor(Color.black);
        // There's a bug in the bean box where box width and height are too
        // big by 4 pixels.
        g.drawRect(box.x, box.y, box.width-5, box.height-5);
    }

    public boolean supportsCustomEditor() {
        return true;
    }

    public java.awt.Component getCustomEditor() {
        return new ColorCustomEditor(this, (Color)getValue());
    }
}

