import java.awt.*;
import java.awt.event.*;

class Main extends Frame implements ActionListener {
    Button ctl = new Button("Validate");
    Main() {
        super("validate Example");

        ctl.addActionListener(this);
        add(ctl, BorderLayout.NORTH); 
        add(makePanel(BorderLayout.EAST, 
              makePanel(BorderLayout.SOUTH, 
                makePanel(BorderLayout.WEST,
                  makePanel(null, null)))),
            BorderLayout.CENTER);
        setSize(300, 300);
        show();
    }

    Panel makePanel(String name, Component c) {
        Panel p = new Panel(new BorderLayout());
        Button b;
        p.add(b = new Button("North"), BorderLayout.NORTH); 
        b.addActionListener(this);
        p.add(b = new Button("South"), BorderLayout.SOUTH); 
        b.addActionListener(this);
        p.add(b = new Button("West"), BorderLayout.WEST); 
        b.addActionListener(this);
        p.add(b = new Button("East"), BorderLayout.EAST); 
        b.addActionListener(this);
        if (name != null) {
            p.add(c, name);
        }
        return p;
    }

    public void actionPerformed(ActionEvent evt) {
        Object src = evt.getSource();
        if (src == ctl) {
            validate();
        } else {
            Font f = ((Component)src).getFont();
            
            f = new Font(f.getFamily(), f.getStyle(), f.getSize()+1);
            ((Component)src).setFont(f);
            ((Component)src).invalidate();
        }
    }

    static public void main(String[] args) {
        new Main();
    }
}
