import java.awt.*;
import java.awt.event.*;

class Main extends Frame implements ActionListener {
    Main() {
        super("addImpl Example");
        Button b;

        // Add  buttons 
        add(b = new Button("North"), BorderLayout.NORTH);
        b.addActionListener(this);
        add(b = new Button("South"), BorderLayout.SOUTH);
        b.addActionListener(this);
        add(b = new Button("Center"), BorderLayout.CENTER);
        b.addActionListener(this);
        add(b = new Button("West"), BorderLayout.WEST);
        b.addActionListener(this);
        add(b = new Button("East"), BorderLayout.EAST);
        b.addActionListener(this);

        setSize(300, 150);
        show();
    }

    protected void addImpl(Component comp, Object constraints, int index) {
        System.err.println("adding " + comp + " with constraints " + constraints + " at index " + index);
        super.addImpl(comp, constraints, index);
    }

    // Action handler for buttons
    public void actionPerformed(ActionEvent evt) {
        System.out.println(evt.getActionCommand());
    }

    static public void main(String[] args) {
        new Main();
    }
}

