import java.awt.*;

public class Main {
    static void makeLabel(Container cont, String label, 
            GridBagConstraints c, int fill) {
        GridBagLayout gbl = (GridBagLayout)cont.getLayout();
        Label b = new Label(label, Label.CENTER);
        b.setBackground(Color.blue);
        b.setForeground(Color.white);
        cont.add(b);
        c.fill = fill;
        gbl.setConstraints(b, c);
    }

    static public void main(String[] args) {
        GridBagLayout gbl = new GridBagLayout();
        GridBagConstraints c = new GridBagConstraints();
        Frame f = new Frame("fill Example");
 
        f.setLayout(gbl);
        c.weightx = 1;
        c.weighty = 1;
        makeLabel(f, "none", c, GridBagConstraints.NONE);
        c.gridwidth = GridBagConstraints.REMAINDER;
        makeLabel(f, "horizontal", c, GridBagConstraints.HORIZONTAL);
        c.gridwidth = 1;    // Restore default value.
        makeLabel(f, "vertical", c, GridBagConstraints.VERTICAL);
        makeLabel(f, "both", c, GridBagConstraints.BOTH);
        f.setSize(200, 200);
        f.show();
    }
}
