import java.awt.*;
import java.awt.event.*;

public class Main extends Frame implements ActionListener {
    Menu m = new Menu("Menu");

    Main() {
        super("Menu Example");
        MenuBar mb = new MenuBar();

        // Add item to menu.
        m.add("MenuItem");

        // Add listener for menu
        m.addActionListener(this);

        // Add menu to menu bar
        mb.add(m);

        // Set menu bar on frame.
        setMenuBar(mb);

        setSize(100, 100);
        show();
    }

    // Action handler for menu
    public void actionPerformed(ActionEvent evt) {
        System.out.println(evt.getActionCommand());
    }

    static public void main(String[] args) {
        new Main();
    }
}
