import java.awt.*;
import java.awt.event.*;
import java.util.StringTokenizer;

class Main extends Frame implements ActionListener {
    Menu m = new Menu("Words");
    boolean first = true;

    Main() {
        super("insert Example");
        MenuBar mb = new MenuBar();

        // Add menu to menu bar.
        mb.add(m);

        // Set the menu bar on the frame.
        setMenuBar(mb);
        TextField tf = new TextField();
        add(tf, BorderLayout.SOUTH);
        tf.addActionListener(this);

        setSize(100, 100);    
        show();
    }

    void addWords(String sentence) {
        StringTokenizer parser = new StringTokenizer(sentence);
        int i;
        for (i = 0; parser.hasMoreTokens(); i++) {
            m.insert((String)parser.nextElement(), i);
        }
        if (!first) {
            m.insertSeparator(i);
        } else {
            first = false;
        }
    }

    // Action handler for text field
    public void actionPerformed(ActionEvent evt) {
        String what = evt.getActionCommand();
        if (!what.equals("")) {
            addWords(what);
            ((TextField)evt.getSource()).setText("");
        }
    }

    static public void main(String[] args) {
        new Main();
    }
}
