import java.awt.*;
import java.awt.event.*;

class Main extends Frame implements ItemListener {
    String[] keywords = 
        {"class", "extends", "import", "interface", "synchronized"};
    TextArea ta = new TextArea();
    Choice c = new Choice();

    Main() {
        super("insert Example");
        for (int i=0; i<keywords.length; i++) {
            c.addItem(keywords[i]);
        }
        add(ta, BorderLayout.CENTER);
        add(c, BorderLayout.SOUTH);

        // Add listener for choice
        c.addItemListener(this);

        pack();
        show();
    }

    public void itemStateChanged(ItemEvent evt) {
        ta.insert((String)evt.getItem(),ta.getSelectionEnd());
        ta.requestFocus();
    }

    static public void main(String[] args) {
        new Main();
    }
}
