import java.awt.*;
import java.awt.event.*;

class Main extends Frame implements TextListener {
    TextField tf = new TextField(10);

    Main() {
        super("getColumns Example");
        add(tf, BorderLayout.NORTH);

        // Add text listener fof text field
        tf.addTextListener(this);

        pack();
        show();
    }

    public void textValueChanged(TextEvent e) {
        int cols = tf.getColumns();
        if (tf.getText().length() == cols) {
            tf.setColumns(cols+cols); // double
            pack();  // adjust Frame to accommodate new size
        }
    }

    static public void main(String[] args) {
        new Main();
    }
}
