import java.awt.*;
import java.awt.event.*;

class MainWindow extends Window implements Runnable, ActionListener {
    MainWindow(Frame parent) {
        super(parent);
        Button b = new Button("Hide");
        b.addActionListener(this);
        add(b, BorderLayout.CENTER); 
        setSize(100, 50);
        show();
        (new Thread(this)).start();
    }

    // Hides window when button is pressed
    public void actionPerformed(ActionEvent evt) {
        setVisible(false);
    }

    public void run() {
        while (true) {
            try {
                show();
                Thread.sleep(5000);
            } catch (InterruptedException e) {};
        }
    }
}

class Main {
    static public void main(String[] args) {
        new MainWindow(new Frame());
    }
}
