import java.awt.*;
import java.beans.*;

public class Bean extends Panel {
    public static final int LEFT = 0;
    public static final int CENTER = 1;
    public static final int RIGHT = 2;

    public static String[] alignNames = 
        {"Left", "Center", "Right"};

    int curAlign = CENTER;

    // Use a label to display the current flavor.
    Label l = new Label(alignNames[curAlign], CENTER);

    public Bean() {
        add(l);
    }
    public int getAlign() {
        return curAlign;
    }
    public void setAlign(int a) {
        l.setText(alignNames[curAlign = a]);
        l.setAlignment(a);
    }
}
/* 
    manifest.txt:
        Name: Bean.class
        Java-Bean: True
    jar command:
        jar cfm bean.jar manifest.txt Bean.class AlignEditor.class BeanBeanInfo.class 
*/
 